using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability414.Domain;

public class TaobaoTbkOrderDetailsTemporaryGetOrderPage
{

    /*
        PublisherOrderDto
    */
    private IList<TaobaoTbkOrderDetailsTemporaryGetPublisherOrderDto>? results;


    /*
        是否还有上一页
    */
    private bool? hasPre;


    /*
        位点字段，由调用方原样传递
    */
    private string? positionIndex;


    /*
        是否还有下一页
    */
    private bool? hasNext;


    /*
        页码
    */
    private long? pageNo;


    /*
        页大小
    */
    private long? pageSize;



    [JsonPropertyName("results")]
    public IList<TaobaoTbkOrderDetailsTemporaryGetPublisherOrderDto>? Results
    {
        get => results;
        set => this.results = value;
    }

    [JsonPropertyName("has_pre")]
    public bool? HasPre
    {
        get => hasPre;
        set => this.hasPre = value;
    }

    [JsonPropertyName("position_index")]
    public string? PositionIndex
    {
        get => positionIndex;
        set => this.positionIndex = value;
    }

    [JsonPropertyName("has_next")]
    public bool? HasNext
    {
        get => hasNext;
        set => this.hasNext = value;
    }

    [JsonPropertyName("page_no")]
    public long? PageNo
    {
        get => pageNo;
        set => this.pageNo = value;
    }

    [JsonPropertyName("page_size")]
    public long? PageSize
    {
        get => pageSize;
        set => this.pageSize = value;
    }

}

